summary refs log tree commit diff
path: root/scripts-dev/config-lint.sh
diff options
context:
space:
mode:
authorDan Callahan <danc@element.io>2021-10-18 16:44:27 +0100
committerDan Callahan <danc@element.io>2021-10-22 23:08:53 +0100
commit12d79ff1b6287b148e84d3b2c14dfbbfc6e11361 (patch)
treea04121ddee74c2fd86206fa870d91d34f7f407ce /scripts-dev/config-lint.sh
parentAdd type hints for most `HomeServer` parameters (#11095) (diff)
downloadsynapse-12d79ff1b6287b148e84d3b2c14dfbbfc6e11361.tar.xz
Fix Shellcheck SC2164: exit in case cd fails.
Use `cd ... || exit` in case cd fails.

https://github.com/koalaman/shellcheck/wiki/SC2164

Signed-off-by: Dan Callahan <danc@element.io>
Diffstat (limited to '')
-rwxr-xr-xscripts-dev/config-lint.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts-dev/config-lint.sh b/scripts-dev/config-lint.sh
index 8c6323e59a..6b160c8ad2 100755
--- a/scripts-dev/config-lint.sh
+++ b/scripts-dev/config-lint.sh
@@ -3,7 +3,7 @@
 # Exits with 0 if there are no problems, or another code otherwise.
 
 # cd to the root of the repository
-cd `dirname $0`/..
+cd `dirname $0`/.. || exit
 
 # Restore backup of sample config upon script exit
 trap "mv docs/sample_config.yaml.bak docs/sample_config.yaml" EXIT